Bug 127795 - shutdown causes kernel oops when trying to sync disks
shutdown causes kernel oops when trying to sync disks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-13 19:08 EDT by Jeff Nessen
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog entries from sync problem (2.78 KB, text/plain)
2004-07-13 19:11 EDT, Jeff Nessen
no flags Details
Ouput from lspci (1.17 KB, text/plain)
2004-07-13 19:15 EDT, Jeff Nessen
no flags Details

  None (edit)
Description Jeff Nessen 2004-07-13 19:08:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The system gets into some(???) state where attmeping to issue the sync
command from the shell prompt, or shutting the ssytem down (which
issues the sync command) cases a kernel oops.  After issueing either
init 0 or 6 at the shel pormpt the system will hang when attempting to
unmount disks.  Since the disks can not be unmounted, the system can
not be cleanly shutdown.  I will attach the output from syslog as well
as some information about my running system.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. wait for system to get into this funky state
2. issue the sync command
3. try to shutdown
    

Actual Results:  kernel oops

Expected Results:  a nice clean sync of the disks and system shutdown

Additional info:
Comment 1 Jeff Nessen 2004-07-13 19:11:59 EDT
Created attachment 101873 [details]
syslog entries from sync problem
Comment 2 Jeff Nessen 2004-07-13 19:15:24 EDT
Created attachment 101874 [details]
Ouput from lspci

lspci listing showing shipset information (if this is usefull).
Comment 3 Dave Jones 2004-11-26 23:48:33 EST
can you try and repeat this with the 2.6.9 update kernel please ?
Comment 4 Jeff Nessen 2004-11-29 14:26:27 EST
At first glance it appears the problem is resolved.  I am remote to the system
right now, and have issued the sync command about a dozen times.  When I get in
front of the machine I will try a shutdown.  So far so good.
Comment 5 Dave Jones 2005-04-16 01:45:54 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.